[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EFileNotFoundException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when a file is not found.

## Declaration

Source position: sysutilh.inc line 227

`type EFileNotFoundException = class(Exception)`

## Inheritance

`EFileNotFoundException` |  | Exception raised when a file is not found.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EFileNotFoundException is an exception raised when a file is referenced that does not exist.

This exception class is provided for Delphi compatibility, but is not actually used in FPC.

## See also

Exception |  | Base class of all exceptions.
EPathNotFoundException |  | Exception raised when a path is not found.
EDirectoryNotFoundException |  | Exception raised when a directory is not found.
EPathTooLongException |  | Exception raised when a path name is too long.